import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type JoinSellOrderParams = {
    tradeOrder: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
    tokenVault: PublicKey;
};
export declare function joinSellOrder(program: Program<Escrow>, params: JoinSellOrderParams): Promise<Instruction>;
