import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type ReleaseParams = {
    tradeOrder: PublicKey;
    seller: PublicKey;
    sellerTokenAccount: PublicKey;
    buyerTokenAccount: PublicKey;
    tokenVault: PublicKey;
};
export declare function release(program: Program<Escrow>, params: ReleaseParams): Promise<Instruction>;
