import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type ResolveDisputeParams = {
    escrowConfig: PublicKey;
    tradeOrder: PublicKey;
    arbitratorAuthority: PublicKey;
    arbitratorTokenAccount: PublicKey;
    seller: PublicKey;
    sellerTokenAccount: PublicKey;
    buyerTokenAccount: PublicKey;
    tokenVault: PublicKey;
    disputeAction: object;
    compensationAction: object;
};
export declare function resolveDispute(program: Program<Escrow>, params: ResolveDisputeParams): Promise<Instruction>;
