import * as anchor from "@project-serum/anchor";
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    readonly configId: string;
    constructor(programId: anchor.web3.PublicKey, configId: string);
    getConfigPDA: () => PDAInfo;
    getTradeOrderPDA: (orderID: anchor.BN) => PDAInfo;
    getTokenVaultPDA: (orderID: anchor.BN) => PDAInfo;
}
